#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m;
    cin >> m >> n;
    int okvir = (n + m - 2) * 2;
    if (okvir == 0) okvir++;
    cout << okvir + (m * n - okvir) / 2;
    return 0;
}